<h2 mat-dialog-title class="title">{{data.title}}</h2>
<div mat-dialog-content>
  <form class="example-form col-12 float-left">
    <mat-form-field class="col-8 float-left" style="margin-top: 13.5px;">
      <mat-label class="font-comp">Nombre caja</mat-label>
      <input matInput placeholder="Ingrese nombre de caja" value="" class="col-l font-comp" cdkFocusInitial>
    </mat-form-field>
    <mat-form-field class="col-4 float-left" appearance="fill">
      <mat-label class="font-comp">Fecha</mat-label>
      <input matInput class="font-comp" [matDatepicker]="dp3" [min]="today" [max]="today" [formControl]="date" readonly style="text-align: center;" />
      <!-- <mat-datepicker-toggle matSuffix [for]="dp3"></mat-datepicker-toggle> -->
      <mat-datepicker #dp3 disabled="false"></mat-datepicker>
    </mat-form-field>
    <app-ctrlmiembros [descripcionctrl]="'Seleccione persona responable de la caja'" [tipo]=0 [mostrar]=true [gral]=false [testigo]=false ></app-ctrlmiembros>
    <mat-form-field class="example-full-width col-lg-4 col-md-6 col-6">
      <mat-label class="font-comp">Apertura diezmo</mat-label>
      <input matInput placeholder="0.00" name="diezmo" value=" col-r font-comp" [(ngModel)]="regserv.caja_reg.aperturadiezmos" appDecimales>
    </mat-form-field>
    <!-- this.value.replace(/[^0-9,]/g, '') -->
    <mat-form-field class="example-full-width col-lg-4 col-md-6 col-6">
      <mat-label class="font-comp">Apertura ofrendas</mat-label>
      <input matInput placeholder="0.00" name="ofrenda" value=" col-r font-comp" [(ngModel)]="regserv.caja_reg.aperturaofrendas" appDecimales>
    </mat-form-field>

    <mat-form-field class="example-full-width col-lg-4 col-md-6 col-6">
      <mat-label class="font-comp">Apertura misiones</mat-label>
      <input matInput placeholder="0.00" name="misiones" value=" col-r font-comp" [(ngModel)]="regserv.caja_reg.aperturamisiones" appDecimales>
    </mat-form-field>

    <mat-form-field class="example-full-width col-lg-4 col-md-6 col-6">
      <mat-label class="font-comp">Apertura misericordia</mat-label>
      <input matInput placeholder="0.00" name="misericordia" value=" col-r font-comp" [(ngModel)]="regserv.caja_reg.aperturamisericordia" appDecimales>
    </mat-form-field>

    <mat-form-field class="example-full-width col-lg-4 col-md-6 col-6">
      <mat-label class="font-comp">Apertura pro-templo</mat-label>
      <input matInput placeholder="0.00" name="protemplo" value=" col-r font-comp" [(ngModel)]="regserv.caja_reg.aperturaprotemplo" appDecimales>
    </mat-form-field>

  </form>
  <div class="total-dl col-lg-7 float-left">
    <mat-form-field class="example-full-width" >
      <mat-label>Apertura Inicial S/</mat-label>
      <input matInput placeholder="0.00" value="" class="col-r" [(ngModel)]="aperturatotal" appDecimales>
    </mat-form-field>
  </div>
  <div mat-dialog-actions class="apbtn col-lg-5 float-left">
    <button class="btn btn-sm btn-danger btn-uq" mat-button (click)="configserv.onNoClickDialog(dialogRef)">Cancelar</button>
    <button class="btn btn-sm btn-reg btn-uq" mat-button [mat-dialog-close]="">Aceptar</button>
  </div>
</div>
